Subject: Re: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Fri, 23 Oct 2015 11:51:22 +0200

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 22 Oct 2015 22:04:08 +0200
>> From: Anders Lindgren <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
>> 
>> However, I noticed that a number of NextStep callback functions start with the
>> following code sequence:
>> 
>> if (!emacsframe->output_data.ns)
>> return;
>> 
>> If `ns' is NULL it would account for the crash. I don't see why we can't add it
>> to the windowDidResize: method as well.
>> 
>> Finally a reservation, I'm still learning the NS code base and I don't know
>> under which circumstances the `ns' field is NULL.
>
> Based on what happens in other GUI display backends, I'm guessing that
> 'ns' being NULL means the frame is not a GUI frame, but either a
> text-mode frame or the "initial" frame (the latter happens in batch
> mode and in the daemon mode, assuming the NS port supports it).

The frame I am using is a GUI frame - but if I remember correctly (and I
might be wrong) the crash happened when making emacs fullscreen.

Rainer

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982